Last Comment Bug 809367 - SUTAgent gets into state where it will not execute commands, requires reboot
: SUTAgent gets into state where it will not execute commands, requires reboot
Status: RESOLVED FIXED
:
Product: Testing
Classification: Components
Component: SUTAgent (show other bugs)
: unspecified
: ARM Gonk (Firefox OS)
: -- normal (vote)
: mozilla20
Assigned To: Thomas Zimmermann [:tzimmermann] [:tdz]
:
Mentors:
Depends on:
Blocks: android_4.0_testing 818264
  Show dependency treegraph
 
Reported: 2012-11-07 02:25 PST by Joel Maher ( :jmaher)
Modified: 2012-12-12 05:38 PST (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Define ELFSIZE (953 bytes, patch)
2012-11-20 10:30 PST, Thomas Zimmermann [:tzimmermann] [:tdz]
ted: review-
Details | Diff | Splinter Review
Define ELFSIZE [v2] (1.01 KB, patch)
2012-11-29 05:22 PST, Thomas Zimmermann [:tzimmermann] [:tdz]
ted: review+
Details | Diff | Splinter Review
Define ELFSIZE (1.03 KB, patch)
2012-11-29 08:40 PST, Thomas Zimmermann [:tzimmermann] [:tdz]
tzimmermann: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Joel Maher ( :jmaher) 2012-11-07 02:25:31 PST
Many times sutagent will not execute commands.  For example after a reboot locally, I couldn't execute 'isdir /mnt/sdcard/tests/logs', that directory did not exist.  I rebooted and it worked fine.  This happens a lot with 'exec su -c logcat' on the production boxes.

We output the command to the logcat, so we are receiving the commands, it is just that we never return from the command or actually execute it.  When I get into this state, I like to do 'adb ip' so I can try to find something in the 'adb logcat' which will help me.  This never returns, nor does it turn on the adb ip interface.

This problem is a bit on the rare side, but it occurs enough that we should investigate solutions or we will have some % failure rate just because of this.
Comment 1 Joel Maher ( :jmaher) 2012-11-14 08:30:28 PST
ok, I have tracked this down and there is a kernel level change to fix this:
https://github.com/android/platform_bionic/blob/ics-mr1-release/libc/bionic/cpuacct.c

From what I can tell there is no simple workaround, maybe a new image is the solution.
Comment 2 Joel Maher ( :jmaher) 2012-11-14 09:56:40 PST
ack, wrong link above, this is the changeset to fix the problem:
https://github.com/android/platform_bionic/commit/177ba8cb42ed6d232e7c8bcad5e6ee21fc51a0e8#libc/bionic
Comment 3 Joel Maher ( :jmaher) 2012-11-14 17:58:47 PST
I don't know if b2g would benefit from the patch linked in comment #2 ^
Comment 4 Thomas Zimmermann [:tzimmermann] [:tdz] 2012-11-15 02:28:59 PST
Cool, thanks.

Chris, Michael, should we apply this fix to bionic? It looks like this problem could affect other services as well.
Comment 5 Michael Wu [:mwu] 2012-11-15 10:15:48 PST
(In reply to Thomas Zimmermann from comment #4)
> Cool, thanks.
> 
> Chris, Michael, should we apply this fix to bionic? It looks like this
> problem could affect other services as well.

All our caf based ports already have this fix. We'll have to update the base version on our nexus devices to pick up this fix. Our copy of cpuacct.c in mozglue also needs to be updated, though it is unlikely to hit the issue since it uses a different allocator.
Comment 6 Thomas Zimmermann [:tzimmermann] [:tdz] 2012-11-15 10:36:19 PST
Hi,

Sutagent certainly runs on the PandaBoard, which doesn't have the fix. At least it's not in

  bionic/libc/bionic/cpuacct.c

The remote is

  git://codeaurora.org/platform/bionic caf/aosp-new/ics-mr1-release

I'd take care of mozglue and the panda, since I'm working on it anyway. Would changing the remote to our copy on github be sufficient?
Comment 7 Michael Wu [:mwu] 2012-11-15 10:45:00 PST
No need to switch to a fork. Just tell it to pick up a newer copy of bionic that has the fix.

I meant to say google device rather than nexus device - basically anything that is based on AOSP is affected. However, you only need to take care of the pandaboard and mozglue.
Comment 8 Joel Maher ( :jmaher) 2012-11-15 10:46:16 PST
I really don't understand that comment.  Our process of building android for the panda boards is not very repeatable and as I am finding.  While I have had success building with the linaro tools, I have introduced a series of other problems by attempting to fix this problem in cpuacct.c.
Comment 9 Michael Wu [:mwu] 2012-11-15 14:07:58 PST
Thomas and I are talking about B2G builds. For Android builds, it might be easier to pick up a fixed libc from another build and drop it into the Linaro build.
Comment 10 Thomas Zimmermann [:tzimmermann] [:tdz] 2012-11-16 05:04:01 PST
(In reply to Michael Wu [:mwu] from comment #7)
> No need to switch to a fork. Just tell it to pick up a newer copy of bionic
> that has the fix.
> 
> I meant to say google device rather than nexus device - basically anything
> that is based on AOSP is affected. However, you only need to take care of
> the pandaboard and mozglue.

The pull request for the panda is pending, and mozglue already has the fix.
Comment 11 Michael Wu [:mwu] 2012-11-16 13:26:38 PST
Hm, we might be hijacking this bug for B2G - I think this is suppose to apply to Android tests.
Comment 12 Thomas Zimmermann [:tzimmermann] [:tdz] 2012-11-20 10:30:15 PST
Created attachment 683663 [details] [diff] [review]
Define ELFSIZE

Define ELFSIZE where required. Needed to compile with bionic from linaro/ics-plus-aosp.

https://github.com/mozilla-b2g/b2g-manifest/pull/24
Comment 13 Joel Maher ( :jmaher) 2012-11-20 11:09:24 PST
If you guys have any tips for building libc.so, I would appreciate that.  I can build with the linaro toolkit, but it seems to use prebuilt stuff, so my changes to cpuacct.c were not being included in my build.
Comment 14 Joel Maher ( :jmaher) 2012-11-20 18:15:34 PST
I have figured out how to build libc.so from my linaro checkout, but the problem I face is that putting the new libc.so on my existing system causes crashes:

01-01 08:46:49.210 D/dalvikvm( 1526): GC_CONCURRENT freed 452K, 8% free 6677K/7239K, paused 0ms+0ms
01-01 08:46:49.304 I/CalendarProvider2( 1827): Sending notification intent: Intent { act=android.intent.action.PROVIDER_CHANGED dat=content://com.android.calendar }
01-01 08:46:49.304 W/ContentResolver( 1827): Failed to get type for: content://com.android.calendar (Unknown URL content://com.android.calendar)
01-01 08:46:49.320 I/ActivityManager( 1413): Start proc com.android.calendar for broadcast com.android.calendar/.widget.CalendarAppWidgetService$CalendarFactory: pid=1886 uid=10021 gids={3003}
01-01 08:46:49.390 I/ActivityThread( 1886): Pub com.android.calendar.CalendarRecentSuggestionsProvider: com.android.calendar.CalendarRecentSuggestionsProvider
01-01 08:46:51.453 V/tiny_hw ( 1301): out_standby(0x7dd160) closing PCM
01-01 08:46:53.359 D/dalvikvm( 1827): GC_CONCURRENT freed 332K, 7% free 6604K/7047K, paused 0ms+3ms
01-01 08:46:53.421 D/dalvikvm( 1413): GC_EXPLICIT freed 396K, 10% free 8856K/9735K, paused 4ms+13ms
01-01 08:47:44.921 F/libc    ( 1295): Fatal signal 11 (SIGSEGV) at 0x00000000 (code=1)
01-01 08:47:45.773 I/DEBUG   ( 1296): *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
01-01 08:47:45.773 I/DEBUG   ( 1296): Build fingerprint: 'pandaboard/pandaboard/pandaboard:4.0.4/IMM76I/5:eng/test-keys'
01-01 08:47:45.773 I/DEBUG   ( 1296): pid: 1295, tid: 1910  >>> /system/bin/netd <<<
01-01 08:47:45.773 I/DEBUG   ( 1296): signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 00000000
01-01 08:47:45.773 I/DEBUG   ( 1296):  r0 800002c1  r1 00000002  r2 40896a88  r3 00000000
01-01 08:47:45.773 I/DEBUG   ( 1296):  r4 0095b04c  r5 40896530  r6 40896648  r7 00000000
01-01 08:47:45.773 I/DEBUG   ( 1296):  r8 40896640  r9 40896520  10 40896650  fp 00800000
01-01 08:47:45.773 I/DEBUG   ( 1296):  ip 00003d3f  sp 40896450  lr 00000000  pc 400e874e  cpsr 60000130
01-01 08:47:45.773 I/DEBUG   ( 1296):  d0  736f686c61636f03  d1  000000000000006f
01-01 08:47:45.773 I/DEBUG   ( 1296):  d2  beb84e38beb84e72  d3  beb84e6bbeb84e67
01-01 08:47:45.773 I/DEBUG   ( 1296):  d4  0095725000957240  d5  0095727000957260
01-01 08:47:45.773 I/DEBUG   ( 1296):  d6  009576d000957280  d7  3ede5bd800957b20
01-01 08:47:45.773 I/DEBUG   ( 1296):  d8  0000000000000000  d9  0000000000000000
01-01 08:47:45.773 I/DEBUG   ( 1296):  d10 0000000000000000  d11 0000000000000000
01-01 08:47:45.773 I/DEBUG   ( 1296):  d12 0000000000000000  d13 0000000000000000
01-01 08:47:45.773 I/DEBUG   ( 1296):  d14 0000000000000000  d15 0000000000000000
01-01 08:47:45.773 I/DEBUG   ( 1296):  d16 0000000000000000  d17 0000006d00000065
01-01 08:47:45.773 I/DEBUG   ( 1296):  d18 41a3391bca000000  d19 0000000000000000
01-01 08:47:45.773 I/DEBUG   ( 1296):  d20 0000000000000000  d21 0000000000000000
01-01 08:47:45.773 I/DEBUG   ( 1296):  d22 0000000000000000  d23 0000000000000000
01-01 08:47:45.773 I/DEBUG   ( 1296):  d24 0000000000000000  d25 0000000000000000
01-01 08:47:45.773 I/DEBUG   ( 1296):  d26 0000000000000000  d27 0000000000000000
01-01 08:47:45.773 I/DEBUG   ( 1296):  d28 0000000000000000  d29 0000000000000000
01-01 08:47:45.773 I/DEBUG   ( 1296):  d30 0000000000000000  d31 0000000000000000
01-01 08:47:45.773 I/DEBUG   ( 1296):  scr 00000010
01-01 08:47:45.773 I/DEBUG   ( 1296): 
01-01 08:47:45.820 I/DEBUG   ( 1296):          #00  pc 0004274e  /system/lib/libc.so (__res_nsend)
01-01 08:47:45.828 I/DEBUG   ( 1296):          #01  pc 00044eac  /system/lib/libc.so
01-01 08:47:45.828 I/DEBUG   ( 1296):          #02  pc 00044fbc  /system/lib/libc.so
01-01 08:47:45.835 I/DEBUG   ( 1296):          #03  pc 00046b8a  /system/lib/libc.so
01-01 08:47:45.835 I/DEBUG   ( 1296):          #04  pc 00044a76  /system/lib/libc.so (nsdispatch)
01-01 08:47:45.835 I/DEBUG   ( 1296):          #05  pc 000460f0  /system/lib/libc.so (getaddrinfo)
01-01 08:47:45.835 I/DEBUG   ( 1296):          #06  pc 0000ef8a  /system/bin/netd
01-01 08:47:45.835 I/DEBUG   ( 1296):          #07  pc 0000f0a4  /system/bin/netd
01-01 08:47:45.835 I/DEBUG   ( 1296):          #08  pc 00012a00  /system/lib/libc.so (__thread_entry)
01-01 08:47:45.843 I/DEBUG   ( 1296):          #09  pc 00012520  /system/lib/libc.so (pthread_create)
01-01 08:47:45.843 I/DEBUG   ( 1296): 
01-01 08:47:45.843 I/DEBUG   ( 1296): code around pc:
01-01 08:47:45.843 I/DEBUG   ( 1296): 400e872c f972f7fd 11c8f8d4 f0414620 f8c40204  ..r..... FA.....
01-01 08:47:45.843 I/DEBUG   ( 1296): 400e873c f7fd21c8 2001ffff e4929011 e002f892  .!..... ........
01-01 08:47:45.843 I/DEBUG   ( 1296): 400e874c 80199a2f e002f8a3 68e2605a dda72a00  /.......Z`.h.*..
01-01 08:47:45.843 I/DEBUG   ( 1296): 400e875c 46191c50 b044f8cd f8cd2301 468c80c4  P..F..D..#.....F
01-01 08:47:45.843 I/DEBUG   ( 1296): 400e876c 46809a17 46b39730 f8d4e00d b17001e4  ...F0..F......p.
01-01 08:47:45.843 I/DEBUG   ( 1296): 
01-01 08:47:45.843 I/DEBUG   ( 1296): code around lr:
01-01 08:47:45.843 I/DEBUG   ( 1296): 00000000 ffffffff ffffffff ffffffff ffffffff  ................
01-01 08:47:45.843 I/DEBUG   ( 1296): 00000010 ffffffff ffffffff ffffffff ffffffff  ................
01-01 08:47:45.843 I/DEBUG   ( 1296): 00000020 ffffffff ffffffff ffffffff ffffffff  ................
01-01 08:47:45.843 I/DEBUG   ( 1296): 00000030 ffffffff ffffffff ffffffff ffffffff  ................
01-01 08:47:45.843 I/DEBUG   ( 1296): 00000040 ffffffff ffffffff ffffffff ffffffff  ................
01-01 08:47:45.843 I/DEBUG   ( 1296): 
01-01 08:47:45.843 I/DEBUG   ( 1296): stack:
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896410  40896530  
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896414  00000018  
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896418  40896424  
01-01 08:47:45.851 I/DEBUG   ( 1296):     4089641c  40896eca  
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896420  00000000  
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896424  00000004  
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896428  000ea560  
01-01 08:47:45.851 I/DEBUG   ( 1296):     4089642c  00000000  
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896430  386dbf30  
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896434  0095b04c  [heap]
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896438  40896530  
01-01 08:47:45.851 I/DEBUG   ( 1296):     4089643c  40896648  
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896440  0095b04c  [heap]
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896444  40896530  
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896448  df0027ad  
01-01 08:47:45.851 I/DEBUG   ( 1296):     4089644c  00000000  
01-01 08:47:45.851 I/DEBUG   ( 1296): #00 40896450  40896a84  
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896454  40896670  
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896458  00000000  
01-01 08:47:45.851 I/DEBUG   ( 1296):     4089645c  00000000  
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896460  40896670  
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896464  00000018  
01-01 08:47:45.851 I/DEBUG   ( 1296):     40896468  40896674  
01-01 08:47:45.851 I/DEBUG   ( 1296):     4089646c  4010555c  /system/lib/libc.so
01-01 08:47:45.859 I/DEBUG   ( 1296):     40896470  40896528  
01-01 08:47:45.859 I/DEBUG   ( 1296):     40896474  4089652c  
01-01 08:47:45.859 I/DEBUG   ( 1296):     40896478  40149008  
01-01 08:47:45.859 I/DEBUG   ( 1296):     4089647c  00000000  
01-01 08:47:45.859 I/DEBUG   ( 1296):     40896480  00000000  
01-01 08:47:45.859 I/DEBUG   ( 1296):     40896484  0095b05c  [heap]
01-01 08:47:45.859 I/DEBUG   ( 1296):     40896488  0095b04c  [heap]
01-01 08:47:45.859 I/DEBUG   ( 1296):     4089648c  ffffff1c  
01-01 08:47:45.859 I/DEBUG   ( 1296):     40896490  400fed20  /system/lib/libc.so
01-01 08:47:45.859 I/DEBUG   ( 1296):     40896494  00000000  
01-01 08:47:45.859 I/DEBUG   ( 1296):     40896498  00964100  [heap]
01-01 08:47:45.859 I/DEBUG   ( 1296):     4089649c  00000000  
01-01 08:47:45.859 I/DEBUG   ( 1296):     408964a0  0000005e  
01-01 08:47:45.859 I/DEBUG   ( 1296):     408964a4  40896eac  
01-01 08:47:45.859 I/DEBUG   ( 1296):     408964a8  0095b04c  [heap]
01-01 08:47:45.859 I/DEBUG   ( 1296):     408964ac  0095b05c  [heap]
01-01 08:47:45.859 I/DEBUG   ( 1296):     408964b0  00016c94  /system/bin/netd
01-01 08:47:45.859 I/DEBUG   ( 1296):     408964b4  40896e04  
01-01 08:47:45.859 I/DEBUG   ( 1296):     408964b8  40896e08  
01-01 08:47:45.859 I/DEBUG   ( 1296):     408964bc  40896e0c  
01-01 08:47:45.859 I/DEBUG   ( 1296):     408964c0  40896e10  
01-01 08:47:45.859 I/DEBUG   ( 1296):     408964c4  40896e14  
01-01 08:47:45.867 I/DEBUG   ( 1296):     408964c8  40896e18  
01-01 08:47:45.867 I/DEBUG   ( 1296):     408964cc  00000001  
01-01 08:47:45.867 I/DEBUG   ( 1296):     408964d0  00000017  
01-01 08:47:45.867 I/DEBUG   ( 1296):     408964d4  800002c1  
01-01 08:47:45.867 I/DEBUG   ( 1296):     408964d8  00000010  
01-01 08:47:45.867 I/DEBUG   ( 1296):     408964dc  0095b05c  [heap]
01-01 08:47:45.867 I/DEBUG   ( 1296):     408964e0  400fec0c  /system/lib/libc.so
01-01 08:47:45.867 I/DEBUG   ( 1296):     408964e4  00000000  
01-01 08:47:45.867 I/DEBUG   ( 1296):     408964e8  0000001e  
01-01 08:47:45.867 I/DEBUG   ( 1296):     408964ec  40896680  
01-01 08:47:45.867 I/DEBUG   ( 1296):     408964f0  0000006e  
01-01 08:47:45.867 I/DEBUG   ( 1296):     408964f4  00000000  
01-01 08:47:45.867 I/DEBUG   ( 1296):     408964f8  40896e1c  
01-01 08:47:45.867 I/DEBUG   ( 1296):     408964fc  ffffff24  
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896500  400fed68  /system/lib/libc.so
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896504  40896a84  
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896508  400fed30  /system/lib/libc.so
01-01 08:47:45.867 I/DEBUG   ( 1296):     4089650c  40896a88  
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896510  00000000  
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896514  00000000  
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896518  00000000  
01-01 08:47:45.867 I/DEBUG   ( 1296):     4089651c  00000000  
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896520  00000005  
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896524  00000000  
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896528  0000001e  
01-01 08:47:45.867 I/DEBUG   ( 1296):     4089652c  40896eac  
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896530  00800000  
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896534  00000000  
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896538  00000000  
01-01 08:47:45.867 I/DEBUG   ( 1296):     4089653c  00000000  
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896540  00000000  
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896544  00000000  
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896548  00000000  
01-01 08:47:45.867 I/DEBUG   ( 1296):     4089654c  00000000  
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896550  00000000  
01-01 08:47:45.867 I/DEBUG   ( 1296):     40896554  00000000  
01-01 08:47:45.875 I/DEBUG   ( 1296):     40896558  00000000  
01-01 08:47:45.875 I/DEBUG   ( 1296):     4089655c  00000000  
01-01 08:47:45.875 I/DEBUG   ( 1296):     40896560  00000000  
01-01 08:47:45.875 I/DEBUG   ( 1296):     40896564  00000000  
01-01 08:47:45.875 I/DEBUG   ( 1296):     40896568  00000000  
01-01 08:47:45.875 I/DEBUG   ( 1296):     4089656c  00000000  
01-01 08:47:45.875 I/DEBUG   ( 1296):     40896570  00000000  
01-01 08:47:45.875 I/DEBUG   ( 1296):     40896574  00000000  
01-01 08:47:45.875 I/DEBUG   ( 1296):     40896578  00000000  
01-01 08:47:45.875 I/DEBUG   ( 1296):     4089657c  00000000  
01-01 08:47:45.875 I/DEBUG   ( 1296):     40896580  00000000  
01-01 08:47:45.875 I/DEBUG   ( 1296):     40896584  00000000  
01-01 08:47:45.875 I/DEBUG   ( 1296):     40896588  00000000  
01-01 08:47:45.875 I/DEBUG   ( 1296):     4089658c  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     40896590  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     40896594  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     40896598  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     4089659c  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965a0  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965a4  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965a8  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965ac  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965b0  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965b4  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965b8  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965bc  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965c0  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965c4  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965c8  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965cc  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965d0  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965d4  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965d8  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965dc  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965e0  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965e4  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965e8  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965ec  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965f0  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965f4  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965f8  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     408965fc  00000000  
01-01 08:47:45.882 I/DEBUG   ( 1296):     40896600  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896604  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896608  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     4089660c  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896610  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896614  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896618  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     4089661c  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896620  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896624  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896628  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     4089662c  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896630  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896634  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896638  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     4089663c  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896640  00000005  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896644  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896648  386dbf30  
01-01 08:47:45.890 I/DEBUG   ( 1296):     4089664c  34d43859  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896650  386dbf35  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896654  34d43859  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896658  00000005  
01-01 08:47:45.890 I/DEBUG   ( 1296):     4089665c  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896660  386dbf30  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896664  34d43859  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896668  00000004  
01-01 08:47:45.890 I/DEBUG   ( 1296):     4089666c  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896670  00000010  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896674  0095b05c  [heap]
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896678  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     4089667c  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896680  00000000  
01-01 08:47:45.890 I/DEBUG   ( 1296):     40896684  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     40896688  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     4089668c  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     40896690  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     40896694  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     40896698  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     4089669c  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966a0  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966a4  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966a8  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966ac  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966b0  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966b4  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966b8  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966bc  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966c0  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966c4  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966c8  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966cc  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966d0  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966d4  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966d8  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966dc  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966e0  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966e4  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966e8  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966ec  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966f0  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966f4  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966f8  00000000  
01-01 08:47:45.898 I/DEBUG   ( 1296):     408966fc  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896700  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896704  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896708  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     4089670c  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896710  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896714  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896718  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     4089671c  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896720  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896724  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896728  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     4089672c  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896730  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896734  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896738  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     4089673c  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896740  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896744  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896748  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     4089674c  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896750  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896754  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896758  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     4089675c  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896760  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896764  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896768  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     4089676c  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896770  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896774  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896778  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     4089677c  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896780  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896784  00000000  
01-01 08:47:45.906 I/DEBUG   ( 1296):     40896788  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     4089678c  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     40896790  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     40896794  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     40896798  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     4089679c  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967a0  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967a4  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967a8  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967ac  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967b0  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967b4  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967b8  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967bc  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967c0  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967c4  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967c8  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967cc  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967d0  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967d4  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967d8  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967dc  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967e0  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967e4  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967e8  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967ec  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967f0  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967f4  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967f8  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     408967fc  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     40896800  00000000  
01-01 08:47:45.914 I/DEBUG   ( 1296):     40896804  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896808  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     4089680c  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896810  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896814  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896818  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     4089681c  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896820  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896824  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896828  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     4089682c  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896830  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896834  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896838  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     4089683c  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896840  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896844  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896848  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     4089684c  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896850  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896854  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896858  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     4089685c  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896860  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896864  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896868  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     4089686c  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896870  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896874  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     40896878  00000000  
01-01 08:47:45.921 I/DEBUG   ( 1296):     4089687c  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     40896880  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     40896884  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     40896888  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     4089688c  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     40896890  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     40896894  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     40896898  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     4089689c  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968a0  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968a4  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968a8  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968ac  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968b0  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968b4  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968b8  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968bc  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968c0  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968c4  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968c8  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968cc  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968d0  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968d4  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968d8  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968dc  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968e0  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968e4  00000000  
01-01 08:47:45.929 I/DEBUG   ( 1296):     408968e8  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     408968ec  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     408968f0  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     408968f4  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     408968f8  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     408968fc  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896900  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896904  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896908  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     4089690c  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896910  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896914  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896918  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     4089691c  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896920  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896924  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896928  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     4089692c  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896930  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896934  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896938  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     4089693c  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896940  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896944  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896948  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     4089694c  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896950  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896954  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896958  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     4089695c  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896960  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896964  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     40896968  00000000  
01-01 08:47:45.937 I/DEBUG   ( 1296):     4089696c  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     40896970  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     40896974  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     40896978  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     4089697c  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     40896980  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     40896984  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     40896988  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     4089698c  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     40896990  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     40896994  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     40896998  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     4089699c  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969a0  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969a4  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969a8  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969ac  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969b0  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969b4  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969b8  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969bc  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969c0  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969c4  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969c8  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969cc  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969d0  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969d4  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969d8  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969dc  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969e0  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969e4  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969e8  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969ec  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969f0  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969f4  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969f8  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     408969fc  00000000  
01-01 08:47:45.945 I/DEBUG   ( 1296):     40896a00  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a04  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a08  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a0c  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a10  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a14  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a18  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a1c  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a20  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a24  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a28  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a2c  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a30  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a34  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a38  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a3c  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a40  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a44  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a48  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a4c  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a50  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a54  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a58  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a5c  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a60  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a64  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a68  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a6c  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a70  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a74  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a78  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a7c  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a80  00000000  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a84  35000002  
01-01 08:47:45.953 I/DEBUG   ( 1296):     40896a88  fe01a8c0  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896a8c  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896a90  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896a94  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896a98  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896a9c  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896aa0  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896aa4  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896aa8  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896aac  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896ab0  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896ab4  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896ab8  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896abc  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896ac0  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896ac4  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896ac8  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896acc  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896ad0  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896ad4  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896ad8  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896adc  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896ae0  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896ae4  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896ae8  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896aec  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896af0  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896af4  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896af8  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896afc  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b00  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b04  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b08  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b0c  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b10  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b14  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b18  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b1c  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b20  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b24  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b28  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b2c  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b30  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b34  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b38  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b3c  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b40  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b44  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b48  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b4c  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b50  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b54  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b58  00000000  
01-01 08:47:45.960 I/DEBUG   ( 1296):     40896b5c  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896b60  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896b64  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896b68  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896b6c  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896b70  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896b74  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896b78  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896b7c  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896b80  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896b84  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896b88  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896b8c  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896b90  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896b94  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896b98  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896b9c  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896ba0  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896ba4  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896ba8  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896bac  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896bb0  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896bb4  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896bb8  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896bbc  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896bc0  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896bc4  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896bc8  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896bcc  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896bd0  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896bd4  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896bd8  00000000  
01-01 08:47:45.968 I/DEBUG   ( 1296):     40896bdc  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896be0  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896be4  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896be8  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896bec  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896bf0  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896bf4  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896bf8  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896bfc  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c00  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c04  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c08  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c0c  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c10  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c14  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c18  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c1c  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c20  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c24  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c28  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c2c  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c30  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c34  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c38  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c3c  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c40  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c44  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c48  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c4c  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c50  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c54  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c58  40896ec5  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c5c  400ee2bd  /system/lib/libc.so
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c60  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c64  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c68  408a6ea8  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c6c  00000001  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c70  40896e08  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c74  40896e04  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c78  40896e04  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c7c  40896eb8  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c80  40896e4c  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c84  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c88  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c8c  4010555c  /system/lib/libc.so
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c90  ffffff1c  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c94  40896eb8  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c98  40896cbc  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896c9c  40896e00  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896ca0  40896e50  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896ca4  0000fff0  /system/bin/netd
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896ca8  00000001  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cac  400ee3d3  /system/lib/libc.so
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cb0  40896e50  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cb4  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cb8  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cbc  6f6f7004  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cc0  746e036c  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cc4  726f0370  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cc8  00000067  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896ccc  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cd0  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cd4  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cd8  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cdc  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896ce0  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896ce4  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896ce8  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cec  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cf0  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cf4  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cf8  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896cfc  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d00  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d04  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d08  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d0c  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d10  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d14  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d18  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d1c  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d20  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d24  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d28  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d2c  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d30  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d34  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d38  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d3c  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d40  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d44  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d48  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d4c  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d50  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d54  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d58  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d5c  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d60  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d64  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d68  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d6c  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d70  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d74  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d78  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d7c  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d80  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d84  00000000  
01-01 08:47:45.976 I/DEBUG   ( 1296):     40896d88  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896d8c  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896d90  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896d94  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896d98  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896d9c  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896da0  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896da4  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896da8  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896dac  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896db0  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896db4  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896db8  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896dbc  2e618290  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896dc0  40896e50  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896dc4  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896dc8  00000001  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896dcc  0095ae50  [heap]
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896dd0  40896eac  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896dd4  408a6eac  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896dd8  40896e00  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896ddc  400e4351  /system/lib/libc.so
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896de0  40896e50  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896de4  000d8502  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896de8  40896eb8  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896dec  400e735b  /system/lib/libc.so
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896df0  40896e50  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896df4  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896df8  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896dfc  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e00  40896eac  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e04  01430002  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e08  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e0c  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e10  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e14  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e18  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e1c  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e20  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e24  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e28  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e2c  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e30  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e34  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e38  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e3c  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e40  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e44  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e48  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e4c  2e618290  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e50  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e54  408a73fc  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e58  40149008  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e5c  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e60  0095b04c  [heap]
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e64  40896eac  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e68  00010000  /system/bin/netd
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e6c  40149008  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e70  00010000  /system/bin/netd
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e74  400eaeb1  /system/lib/libc.so
01-01 08:47:45.984 I/DEBUG   ( 1296): #01 40896e78  00010000  /system/bin/netd
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e7c  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e80  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e84  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e88  40896eac  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e8c  00010000  /system/bin/netd
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e90  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e94  0095ae50  [heap]
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e98  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896e9c  4010555c  /system/lib/libc.so
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896ea0  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896ea4  ffffff1c  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896ea8  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896eac  00013d3f  /system/bin/netd
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896eb0  00000100  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896eb4  00000000  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896eb8  6f6f7004  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896ebc  746e036c  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896ec0  726f0370  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896ec4  01000067  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896ec8  00000100  
01-01 08:47:45.984 I/DEBUG   ( 1296):     40896ecc  00000000  
.
:

this goes on for a few thousand lines from adb logcat.
Comment 15 Joel Maher ( :jmaher) 2012-11-21 13:16:16 PST
I was incorrectly linking the bits together, I have a valid libc.so for pandaboards/android and this seems to be working well.
Comment 16 Michael Wu [:mwu] 2012-11-26 04:56:55 PST
Comment on attachment 683663 [details] [diff] [review]
Define ELFSIZE

This looks a lot like bug 737190 . I think Ted is the appropriate reviewer here. We should probably restrict this to gonk.
Comment 17 Joel Maher ( :jmaher) 2012-11-26 05:30:45 PST
fwiw, this libc.so patch seems to have solved the issue on my panda boards for android.
Comment 18 Joel Maher ( :jmaher) 2012-11-27 11:22:37 PST
do you guys want to move this over to b2g stuff, otherwise I am considering closing this bug.
Comment 19 Thomas Zimmermann [:tzimmermann] [:tdz] 2012-11-28 04:03:53 PST
Ted, could you review the patch please? Thanks.
Comment 20 Ted Mielczarek [:ted.mielczarek] 2012-11-28 12:19:42 PST
Comment on attachment 683663 [details] [diff] [review]
Define ELFSIZE

Review of attachment 683663 [details] [diff] [review]:
-----------------------------------------------------------------

This is only a problem with building gonk against newer headers?

::: toolkit/crashreporter/google-breakpad/src/client/linux/minidump_writer/Makefile.in
@@ +27,5 @@
>  FORCE_STATIC_LIB = 1
>  
>  ifeq ($(OS_TARGET),Android)
>  LOCAL_INCLUDES += -I$(topsrcdir)/toolkit/crashreporter/google-breakpad/src/common/android/include/
> +DEFINES += -DELFSIZE=32

Please make this gonk-only.
Comment 21 Thomas Zimmermann [:tzimmermann] [:tdz] 2012-11-29 05:22:49 PST
Created attachment 686543 [details] [diff] [review]
Define ELFSIZE [v2]

updates the patch according to the review.
Comment 22 Thomas Zimmermann [:tzimmermann] [:tdz] 2012-11-29 06:27:27 PST
Thanks.
Comment 23 Thomas Zimmermann [:tzimmermann] [:tdz] 2012-11-29 08:40:56 PST
Created attachment 686618 [details] [diff] [review]
Define ELFSIZE
Comment 24 Ryan VanderMeulen [:RyanVM] 2012-11-29 14:59:18 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/cb06eaa3d700
Comment 25 Ed Morley [:emorley] 2012-11-30 02:12:28 PST
https://hg.mozilla.org/mozilla-central/rev/cb06eaa3d700
Comment 26 Thomas Zimmermann [:tzimmermann] [:tdz] 2012-11-30 02:15:51 PST
I'd like to keep this bug open for now as there is an update for bionic that will fix this issue on B2G.
Comment 27 Thomas Zimmermann [:tzimmermann] [:tdz] 2012-12-03 02:49:06 PST
The pull request has been merged.

https://github.com/mozilla-b2g/b2g-manifest/commit/562a457af1a75005749749f63602160ca766a142
Comment 28 Ben Hearsum (:bhearsum) 2012-12-10 12:51:41 PST
Comment on attachment 686618 [details] [diff] [review]
Define ELFSIZE

I don't really understand anything about this patch, but I'm told that we need it on Aurora and Beta before we can update the gonk snapshot, which is blocking some multilocale stuff. Can we get this backported, please?
Comment 29 Thomas Zimmermann [:tzimmermann] [:tdz] 2012-12-10 13:49:53 PST
Yes, this patch was necessary for a libc update we recently did. It should be ok to apply it to beta and aurora as well.
Comment 30 Thomas Zimmermann [:tzimmermann] [:tdz] 2012-12-10 13:50:45 PST
Do you need separate patches or will the original diff do?
Comment 31 Lukas Blakk [:lsblakk] use ?needinfo 2012-12-10 15:29:02 PST
Comment on attachment 686618 [details] [diff] [review]
Define ELFSIZE

stamp.  assuming anything about this that could affect the builds would be obvious right away.
Comment 32 Ben Hearsum (:bhearsum) 2012-12-11 06:04:33 PST
Comment on attachment 686618 [details] [diff] [review]
Define ELFSIZE

Aurora: https://hg.mozilla.org/releases/mozilla-aurora/rev/498ade1f521b
Beta: https://hg.mozilla.org/releases/mozilla-beta/rev/f1c0c74ea9f5

Not sure if I need to land on b2g18 or not...
Comment 33 Ben Hearsum (:bhearsum) 2012-12-11 06:05:11 PST
(In reply to Thomas Zimmermann from comment #30)
> Do you need separate patches or will the original diff do?

Seems to apply cleanly!
Comment 34 Thomas Zimmermann [:tzimmermann] [:tdz] 2012-12-11 06:12:11 PST
(In reply to Ben Hearsum [:bhearsum] from comment #32)
> Comment on attachment 686618 [details] [diff] [review]
> Define ELFSIZE
> 
> Aurora: https://hg.mozilla.org/releases/mozilla-aurora/rev/498ade1f521b
> Beta: https://hg.mozilla.org/releases/mozilla-beta/rev/f1c0c74ea9f5
> 
> Not sure if I need to land on b2g18 or not...

I think so. The patch was necessary for a libc update. We just reverted this update, but once it gets reapplied, Gecko 18 will probably not build on the PandaBoards.
Comment 35 Ben Hearsum (:bhearsum) 2012-12-11 13:29:15 PST
(In reply to Thomas Zimmermann from comment #34)
> (In reply to Ben Hearsum [:bhearsum] from comment #32)
> > Comment on attachment 686618 [details] [diff] [review]
> > Define ELFSIZE
> > 
> > Aurora: https://hg.mozilla.org/releases/mozilla-aurora/rev/498ade1f521b
> > Beta: https://hg.mozilla.org/releases/mozilla-beta/rev/f1c0c74ea9f5
> > 
> > Not sure if I need to land on b2g18 or not...
> 
> I think so. The patch was necessary for a libc update. We just reverted this
> update, but once it gets reapplied, Gecko 18 will probably not build on the
> PandaBoards.

Turns out that Alex is doing a final sync later today, so it'll get picked up then. I think this is FIXED now?

Note You need to log in before you can comment on or make changes to this bug.